# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(Benchmark.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(List/Util.pm) perl(Scalar/Util.pm) perl(Scalar/Util/Numeric.pm) perl(Set/IntSpan.pm) perl(Set/IntSpan/Fast.pm) perl(Set/IntSpan/Fast/PP.pm) perl(Set/IntSpan/Fast/XS.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(YAML.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 1.0.3
%define module_name AlignDB-IntSpanXS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.3
Release: alt6
Summary: XS version of AlignDB::IntSpan.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WA/WANGQ/%{module_name}-%{module_version}.tar.gz

%description
use AlignDB::IntSpanXS;

    my $set = AlignDB::IntSpanXS->new;
    $set->add(1, 2, 3, 5, 7, 9);
    $set->add_range(100, 1_000_000);
    print $set->as_string, "\n";    # 1-3,5,7,9,100-1000000
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Tue Dec 05 2023 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt6
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt5
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt4
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.0.3-alt3.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt3
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.0.3-alt2
- rebuild to get rid of unmets

* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1
- initial import by package builder

